#
# Titan configuration and PIXIT parameters
# Version: v11.7 with TTCN based on 22wk23 
#

[MODULE_PARAMETERS]

Parameters.px_IPv4_Address1_NW := "192.168.2.3";   // Tester address
Parameters.px_IPv4_Address1_UE := "192.168.3.2"; // UE assigned address 
Parameters.px_IPv4_Address1_RemoteUE := "192.168.2.3"; 
Parameters.px_AuthK := '00000000000000010000001000000011000001000000010100000110000001110000100000001001000010100000101100001100000011010000111000001111'B;
Parameters.px_AuthAMF := '0000000000000000'B;
Parameters.px_IMSI_Def := '001010123456063'H;
Parameters.px_IMEISV_Def := '8674000208665088'H;
Parameters.px_IMEI_Def := '8674000208665088'H;
IMS_CommonParameters.px_IMS_CiphAlgo_Def := aes_cbc;


//  --- Http Proxy, CMS, KMS, GMS
MCX_Parameters.px_MCX_HTTP_Proxy_IPAddress :=  "192.168.2.3"; // Tester IP address
MCX_Parameters.px_MCX_HTTP_Proxy_Port  := 8100; 
MCX_Parameters.px_MCX_InitialConfigServer_IPAddress :=  "192.168.2.3"; 
MCX_Parameters.px_MCX_InitialConfigServer_Port  := 8100;

// --- IdMS  
MCX_Parameters.px_MCX_IdMS_auth_IPAddress :=  "192.168.2.3"; // Tester IP address
MCX_Parameters.px_MCX_IdMS_auth_Port  := 8081; 
MCX_Parameters.px_MCX_IdMS_token_IPAddress :=  "192.168.2.3";
MCX_Parameters.px_MCX_IdMS_token_Port  := 8081; 


// ---

MCX_Parameters.px_MCPTT_ID_FA_A := "mcptt-fa-a-id@mcstaasting.com";
MCX_Parameters.px_MCX_SIP_HomeDomain_A := "mcstaasting.com";
MCX_Parameters.px_MCX_DomainName_Organization_A := "mcstaasting.com";
MCX_Parameters.px_MCX_SIP_PrivateUserId_A := "PrivateUserId-A@mcstaasting.com";
MCX_Parameters.px_MCX_SIP_PublicUserId_A_1 := "sip:PublicUserId-A@mcstaasting.com"; // IMPU
MCX_Parameters.px_MCX_SIP_PublicUserId_B := "sip:PublicUserId-B@mcstaasting.com";
MCX_CommonDefs.px_MCX_SIP_PublicUserId_C := "sip:PublicUserId-C@mcstaasting.com"; 

MCX_Parameters.px_MCX_InitialConfigServer_UriPath := "/xcap-root/org.3gpp.mcptt.ue-init-config/users/urn:uuid:2a75a4d1-a68c-4faa-8a9f-db31f829a78d/urn:uuid:2a75a4d1-a68c-4faa-8a9f-db31f829a78d";

MCX_Parameters.px_MCX_OAuth_ClientId_A := "urn:uuid:2a75a4d1-a68c-4faa-8a9f-db31f829a78d";
MCX_Parameters.px_MCX_Client_B_ID := "urn:uuid:357145a4-bbbb-2222-bd46-f3c110000002";

MCX_Parameters.px_MCX_OAuth_RedirectURI_A := "https://192.168.2.3:8081/idms/stats";

MCX_Parameters.px_MCX_User_A_username := "xyz";
MCX_Parameters.px_MCX_User_A_password := "123";

MCX_Parameters.px_MCX_GroupCreationXUI   := "mcptt-gms@group.mcstaasting.com";

MCX_Parameters.px_MCPTT_ID_User_A := "sip:mcptt-userA-id@mcstaasting.com";
MCX_Parameters.px_MCData_ID_User_A := "sip:mcdata-userA-id@mcstaasting.com";
MCX_Parameters.px_MCPTT_ID_User_B := "sip:mcptt-userB-id@mcstaasting.com";
MCX_Parameters.px_MCData_ID_User_B := "sip:mcptt-userB-id@mcstaasting.com"; // Use same User-Id for MCData
MCX_Parameters.px_MCPTT_ID_User_C := "sip:mcptt-userC-id@mcstaasting.com";
MCX_Parameters.px_MCPTT_Group_A_Name       := "groupA";
MCX_Parameters.px_MCPTT_Group_A_ID         := "sip:groupA@group.mcstaasting.com";
MCX_Parameters.px_MCData_Group_A_ID         := "sip:groupA@group.mcstaasting.com";
MCX_Parameters.px_MCPTT_Group_B_ID := "sip:groupB@group.mcstaasting.com";
MCX_Parameters.px_MCPTT_Group_T_ID           := "sip:groupT@group.mcstaasting.com";

MCX_Parameters.px_MCX_SIP_RegistrationWithTemporaryIdentities := false;
MCX_Parameters.pc_MCPTT_FloorRequestQueueing := true;

MCX_Parameters.px_MCX_TrK_ID :=  '10010101101000101011110011100111'B;
MCX_Parameters.px_MCX_TrK := '1001111000010000001101001010010000010011011111011010100101111100110101111111100110110011100101000111011010110110110000010100001111100011111011100000010110011010111101010101111101010010011000000000100111000011100001010101000011010011000010111011110111010001'B;

MCX_Parameters.px_MCX_InK_ID := '10010101101000101011110011100111'B;
MCX_Parameters.px_MCX_InK := '1001111000010000001101001010010000010011011111011010100101111100110101111111100110110011100101000111011010110110110000010100001111100011111011100000010110011010111101010101111101010010011000000000100111000011100001010101000011010011000010111011110111010001'B;

MCX_Parameters.px_MCX_CoordinateLatitude_Client_B := 1.1;
MCX_Parameters.px_MCX_CoordinateLongitude_Client_B := 1.2; 


MCX_Parameters.px_MCX_TokenRsaPrivateKey := '9e1034a4137da97cd7f9b39476b6c143e3ee059af55f526009c38550d30bbdd1'O;
MCX_Parameters.px_MCX_InitialRegistration_TypeOfPDN1 := mcxPDN;
MCX_Parameters.px_MCX_InitialRegistration_TypeOfPDN2 := noPDN;
MCX_Parameters.px_MCX_InitialRegistration_TypeOfPDN3 := noPDN;
MCX_Parameters.px_MCX_IPCAN_EpsBearerId_MCX := 5;
MCX_Parameters.px_MCX_IPCAN_DedicatedEpsBearerId_MCPTT := 6;


[INCLUDE]
"MCX_internal.cfg"

[EXECUTE]

MCX_Testsuite_IPCAN.TC_6_1_4_MCData

